Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:    	C++ class library
Name:      	commoncpp2
Version:   	1.8.0
Release:   	1
License: 	GNU/GPL
URL:		ftp://ftp.gnu.org/gnu/commoncpp/
Group:    	System/Libraries
Source0: 	%{name}-%{version}.tar.gz
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Requires(post,preun): /sbin/install-info

# needed for NAT c++ support
BuildRequires: kernel-headers

#Automatically resolved build dependencies
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libstdc++-devel
BuildRequires: openssl-devel
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
Common C++ is a highly portable C++ class library meant primarily for the development of portable threaded applications. Support is provided both for POSIX platforms and native builds under Win32. The goal is to provide a truly common C++ framework for writing portable threaded applications that do not require a huge amount of runtime overhead to support, and hence can make C++ and threads suitable even for the development of trivial servers and applications. 

%package	devel
Summary: 	%{name} development headers.
Group:     	%{group}          
Requires: 	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
/sbin/install-info %_infodir/%{name}.info.gz %_infodir/dir
ldconfig

%postun
ldconfig

%preun
if [ "$1" = 0 ]; then
/sbin/install-info --del %_infodir/%{name}.info.gz %_infodir/dir
fi 

%prep
%setup -q -n %{name}-%{version}

%build
./configure 	--prefix=%_prefix \
		--mandir=%_mandir \
		--libdir=%_libdir \
		--datadir=%_datadir \
		--infodir=%_infodir \
		--includedir=%_includedir \
		--localstatedir=/var \
		--disable-debug \
		--disable-static \
		--with-openssl
make

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"

rm -rf %{buildroot}%{_infodir}/dir

%files
%defattr(-,root,root)
%{_libdir}/libccext2-1.8.so.*
%{_libdir}/libccgnu2-1.8.so.*
%{_infodir}/commoncpp2.info.gz

%files devel
%defattr(-,root,root)
%{_bindir}/ccgnu2-config
%{_includedir}/cc++
%{_libdir}/libccext2.la
%{_libdir}/libccext2.so
%{_libdir}/libccgnu2.la
%{_libdir}/libccgnu2.so
%{_pkgconfig}/libccext2.pc
%{_pkgconfig}/libccgnu2.pc
%{_aclocal}/ost_check2.m4


%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Feb 25 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.8.0-1
- version update
* Wed Jul 22 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.7.3-1
- version update
* Sun Jul 27 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.6.2-1
- version update
* Sun Sep 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.5.9-1
- Initial Release
